USAGE:(1)

NAME
usage: - manual page for usage: woo-batch [-h] [-j NUM] [--job-threads NUM] [--force-threads]

DESCRIPTION
usage: woo-batch [-h] [-j NUM] [--job-threads NUM] [--force-threads]

    [--log FORMAT] [--global-log FILE] [-l LIST] [--results RESULTSDB] [--nice NICE] [--cpu-affinity] [--executable FILE] [--rebuild] [--debug] [--gnuplot FILE] [--dry-run] [--http-wait] [--exit-prompt] [--plot-update TIME] [--plot-timeout TIME] [--refresh TIME] [--timing COUNT] [--timing-output FILE] [--randomize] [--no-table] ...

Woo: batch system: runs Woo simulation multiple times with different parameters. See https://yade-dem.org/sphinx/user.html#batch-queuing-andexecution-woo-batch for details. Batch can be specified either with parameter table TABLE (must not end in .py), which is either followed by exactly one SIMULATION.py (must end in .py), or contains !SCRIPT column specifying the simulation to be run. The second option is to specify multiple scripts, which can optionally have /nCores suffix to specify number of cores for that particular simulation (corresponds to !THREADS column in the parameter table), e.g. sim.py/3.

  positional arguments:

    simulations

  optional arguments:

-h, --help
    show this help message and exit

-j NUM, --jobs NUM
    Maximum number of simultaneous threads to run (default: number of cores, further limited by OMP_NUM_THREADS if set by the environment: 6)

--job-threads NUM
    Default number of threads for one job; can be overridden by per-job with !THREADS (or !OMP_NUM_THREADS) column. Defaults to 1.

--force-threads
    Force jobs to not use more cores than the maximum (see \-j), even if !THREADS colums specifies more.

--log FORMAT
    Format of job log files: must contain a $, % or @, which will be replaced by script name, line number or by title column respectively. Directory for logs will be created automatically. (default: logs/$.@.log)

--global-log FILE
    Filename where to redirect output of woo-batch itself (as opposed to \-\-log); if not specified (default), stdout/stderr are used

-l LIST, --lines LIST
    Lines of TABLE to use, in the format 2,3-5,8,11-13 (default: all available lines in TABLE)

--results RESULTSDB
    File (HDF5 or SQLite) where simulation should store its results (such as input/output files and some data); the default is to use {tableName}.hdf5 ({tableName}.sqlite under Windows), if there is a param table, otherwise each simulation defines its own default files to write results in. The preferred format is HDF5 (usually *.hdf5, *.h5, *.he5, *.hdf), SQLite is used for *.sqlite, *.db.

--nice NICE
    Nice value of spawned jobs (default: 10)

--cpu-affinity
    Bind each job to specific CPU cores; cores are assigned in a quasi-random order, depending on availability at the moment the jobs is started. Each job can override this setting by setting AFFINE column.

--executable FILE
    Name of the program to run (default: /usr/bin/woo). Jobs can override with !EXEC column.

--rebuild
    Run executable(s) with --rebuild prior to running any jobs.

--debug
    Run the executable with --debug. Can be overriddenn per-job with !DEBUG column.

--gnuplot FILE
    Gnuplot file where gnuplot from all jobs should be put together

--dry-run
    Do not actually run (useful for getting gnuplot only, for instance)

--http-wait
    Do not quit if still serving overview over http repeatedly

--exit-prompt
    Do not quit until a key is pressed in the terminal (useful for reviewing plots after all simulations finish).

--plot-update TIME
    Interval (in seconds) at which job plots will be updated even if not requested via HTTP. Non-positive values will make the plots not being updated and saved unless requested via HTTP (see \-\-plot-timeout for controlling maximum age of those). Plots are saved at exit under the same name as the log file, with the .log extension removed. (default: 120 seconds)

--plot-timeout TIME
    Maximum age (in seconds) of plots served over HTTP; they will be updated if they are older. (default: 30 seconds)

--refresh TIME
    Refresh rate of automatically reloaded web pages (summary, logs, ...).

--timing COUNT
    Repeat each job COUNT times, and output a simple table with average/variance/minimum/maximum job duration; used for measuring how various parameters affect execution time. Jobs can override the global value with the !COUNT column.

--timing-output FILE
    With --timing, save measured durations to FILE, instead of writing to standard output.

--randomize
    Randomize job order (within constraints given by assigned cores).

--no-table
    Treat all command-line argument as simulations to be run, either python scripts or saved simulations.

    [--log FORMAT] [--global-log FILE] [-l LIST] [--results RESULTSDB] [--nice NICE] [--cpu-affinity] [--executable FILE] [--rebuild] [--debug] [--gnuplot FILE] [--dry-run] [--http-wait] [--exit-prompt] [--plot-update TIME] [--plot-timeout TIME] [--refresh TIME] [--timing COUNT] [--timing-output FILE] [--randomize] [--no-table] ...

woo-batch: error: unrecognized arguments: --version

SEE ALSO
The full documentation for usage: is maintained as a Texinfo manual. If the info and usage: programs are properly installed at your site, the command

    info usage:

should give you access to the complete manual.